restart

echo " This is the simulation of a BlockRAM used as simple shifter."
echo " No pattern control is available."
echo " Every 32nd bit a pulse is generated to increment the address counter."
echo " parallelized data can be read directly from port A at the end pulse or"
echo " the data can be read via port B from the BlockRAM. "
echo " "
force clocka 0 1500, 1 3000 -r 3000
force clockb 0 1500, 1 3000 -r 3000
force enablea 0
force enableb 0
force addressb 000000000
force reset 1
force dataina 0
run 1000000
force reset 0
run 10000
echo " The time is : $now ns"
echo " EnableA is High, DataInA is Low."
echo " No data presented at input, serializer runs empty."
force enablea 1
run 102000
echo " The time is : $now ns"
echo " 34 clock cycles are passed."
echo " From here intermittant data is presented."
force dataina 1
run 3000
force dataina 0
run 3000
force dataina 1
run 3000
force dataina 0
run 3000
force dataina 1
run 3000
force dataina 0
run 3000
force dataina 1
run 3000
force dataina 0
run 3000
force dataina 1
run 3000
force dataina 0
run 3000
force dataina 1
run 3000
force dataina 0
run 3000
force dataina 1
run 6000
force dataina 0
run 6000
force dataina 1
run 6000
force dataina 0
run 6000
force dataina 1
run 6000
force dataina 0
run 9000
force dataina 1
run 9000
force dataina 0
run 3000
force dataina 1
run 3000
force dataina 0
run 3000
force dataina 1
run 3000
echo " The time is : $now ns"
echo " The data presented serialy is 10101010101011001100110001110101."
echo " 32 data bits have been shifted in the serializer."
echo " "
force dataina 0
run 12000
force addressb 000000001
run 1000
force enableb 1
run 3300
force enableb 0
run 90000
force addressb 000000010
run 1000
force enableb 1
run 5000
force enableb 0
run 90000